<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\Acknowledgement::class,
            'table' => 'bixo_account_acknowledgements',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['company_id',  'customer_id',  'coa_id',  'agent_id',  'ref',  'unit',  'date',  'project_name',  'building',  'project_price',  'amount',  'currency',  'remarks',  'status',  'type',  'deal_customer_type',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'account/acknowledgement',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_id", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.customer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_id", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.coa_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_id", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.unit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.project_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.building', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_price", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.project_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.currency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remarks", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.remarks', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_customer_type", 
                "type" => "text", 
                "label" => 'account::acknowledgement.label.deal_customer_type', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::acknowledgement.label.company_id',
                "placeholder" => 'account::acknowledgement.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::acknowledgement.label.customer_id',
                "placeholder" => 'account::acknowledgement.placeholder.customer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::acknowledgement.label.coa_id',
                "placeholder" => 'account::acknowledgement.placeholder.coa_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::acknowledgement.label.agent_id',
                "placeholder" => 'account::acknowledgement.placeholder.agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::acknowledgement.label.ref',
                "placeholder" => 'account::acknowledgement.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::acknowledgement.label.unit',
                "placeholder" => 'account::acknowledgement.placeholder.unit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::acknowledgement.label.date',
                "placeholder" => 'account::acknowledgement.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::acknowledgement.label.project_name',
                "placeholder" => 'account::acknowledgement.placeholder.project_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::acknowledgement.label.building',
                "placeholder" => 'account::acknowledgement.placeholder.building',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::acknowledgement.label.project_price',
                "placeholder" => 'account::acknowledgement.placeholder.project_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::acknowledgement.label.amount',
                "placeholder" => 'account::acknowledgement.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::acknowledgement.label.currency',
                "placeholder" => 'account::acknowledgement.placeholder.currency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remarks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::acknowledgement.label.remarks',
                "placeholder" => 'account::acknowledgement.placeholder.remarks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::acknowledgement.label.type',
                "placeholder" => 'account::acknowledgement.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('account::acknowledgement.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_customer_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::acknowledgement.label.deal_customer_type',
                "placeholder" => 'account::acknowledgement.placeholder.deal_customer_type',
                "rules" => '',
                "options" => function(){
                    return trans('account::acknowledgement.options.deal_customer_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/acknowledgement/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/acknowledgement/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/acknowledgement',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/acknowledgement',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/acknowledgement',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/acknowledgement',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::acknowledgement.label.created_at',
            'name' => 'account::acknowledgement.label.name',
            'status' => 'account::acknowledgement.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::acknowledgement.groups.main",
                'group' => "main.main",
                'title' => "account::acknowledgement.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::acknowledgement.groups.details",
                'group' => "main.details",
                'title' => "account::acknowledgement.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::acknowledgement.groups.images",
                'group' => "main.images",
                'title' => "account::acknowledgement.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::acknowledgement.groups.settings",
                'group' => "main.settings",
                'title' => "account::acknowledgement.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'Acknowledgement',
        ],

        
        
    ];
