<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\Invoice::class,
            'table' => 'bixo_account_invoices',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['related_id',  'team_id',  'agent_id',  'deal_id',  'ref',  'customer_id',  'supplier_id',  'purchase_invoice_number',  'purchase_order_number',  'company_id',  'branch_id',  'unit',  'location',  'location_id',  'sublocation_id',  'property_id',  'department',  'billing_address',  'mobile',  'email',  'serial_no',  'invoice_date',  'due_date',  'bank_account_id',  'customer_note',  'status',  'sub_total',  'tax_type',  'tax_rate',  'tax_amount',  'discount',  'discount_type',  'discount_value',  'total',  'total_usd',  'payment_total',  'balance_due',  'message_invoice',  'message_statement',  'notes',  'documents',  'show_footer',  'amount_inwords',  'customer_address',  'payment_terms',  'payment_status',  'pro_forma_id',  'offplan_payment_id',  'type',  'currency',  'deal_customer_type',  'ref_client',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'account/invoice',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "related_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.related_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.deal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'account::invoice.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.customer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.supplier_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "purchase_invoice_number", 
                "type" => "text", 
                "label" => 'account::invoice.label.purchase_invoice_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "purchase_order_number", 
                "type" => "text", 
                "label" => 'account::invoice.label.purchase_order_number', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "branch_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.branch_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit", 
                "type" => "text", 
                "label" => 'account::invoice.label.unit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location", 
                "type" => "text", 
                "label" => 'account::invoice.label.location', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "department", 
                "type" => "text", 
                "label" => 'account::invoice.label.department', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "billing_address", 
                "type" => "text", 
                "label" => 'account::invoice.label.billing_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mobile", 
                "type" => "text", 
                "label" => 'account::invoice.label.mobile', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "email", 
                "type" => "text", 
                "label" => 'account::invoice.label.email', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "serial_no", 
                "type" => "text", 
                "label" => 'account::invoice.label.serial_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice_date", 
                "type" => "text", 
                "label" => 'account::invoice.label.invoice_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "due_date", 
                "type" => "text", 
                "label" => 'account::invoice.label.due_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank_account_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.bank_account_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_note", 
                "type" => "text", 
                "label" => 'account::invoice.label.customer_note', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sub_total", 
                "type" => "text", 
                "label" => 'account::invoice.label.sub_total', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax_type", 
                "type" => "text", 
                "label" => 'account::invoice.label.tax_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax_rate", 
                "type" => "text", 
                "label" => 'account::invoice.label.tax_rate', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax_amount", 
                "type" => "text", 
                "label" => 'account::invoice.label.tax_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "discount", 
                "type" => "text", 
                "label" => 'account::invoice.label.discount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "discount_type", 
                "type" => "text", 
                "label" => 'account::invoice.label.discount_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "discount_value", 
                "type" => "text", 
                "label" => 'account::invoice.label.discount_value', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total", 
                "type" => "text", 
                "label" => 'account::invoice.label.total', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total_usd", 
                "type" => "text", 
                "label" => 'account::invoice.label.total_usd', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_total", 
                "type" => "text", 
                "label" => 'account::invoice.label.payment_total', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "balance_due", 
                "type" => "text", 
                "label" => 'account::invoice.label.balance_due', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "message_invoice", 
                "type" => "text", 
                "label" => 'account::invoice.label.message_invoice', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "message_statement", 
                "type" => "text", 
                "label" => 'account::invoice.label.message_statement', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'account::invoice.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'account::invoice.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "show_footer", 
                "type" => "text", 
                "label" => 'account::invoice.label.show_footer', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount_inwords", 
                "type" => "text", 
                "label" => 'account::invoice.label.amount_inwords', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_address", 
                "type" => "text", 
                "label" => 'account::invoice.label.customer_address', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_terms", 
                "type" => "text", 
                "label" => 'account::invoice.label.payment_terms', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment_status", 
                "type" => "text", 
                "label" => 'account::invoice.label.payment_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "pro_forma_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.pro_forma_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "offplan_payment_id", 
                "type" => "text", 
                "label" => 'account::invoice.label.offplan_payment_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'account::invoice.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency", 
                "type" => "text", 
                "label" => 'account::invoice.label.currency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_customer_type", 
                "type" => "text", 
                "label" => 'account::invoice.label.deal_customer_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref_client", 
                "type" => "text", 
                "label" => 'account::invoice.label.ref_client', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'related_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.related_id',
                "placeholder" => 'account::invoice.placeholder.related_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.team_id',
                "placeholder" => 'account::invoice.placeholder.team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.agent_id',
                "placeholder" => 'account::invoice.placeholder.agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.deal_id',
                "placeholder" => 'account::invoice.placeholder.deal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.ref',
                "placeholder" => 'account::invoice.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.customer_id',
                "placeholder" => 'account::invoice.placeholder.customer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.supplier_id',
                "placeholder" => 'account::invoice.placeholder.supplier_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'purchase_invoice_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.purchase_invoice_number',
                "placeholder" => 'account::invoice.placeholder.purchase_invoice_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'purchase_order_number',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.purchase_order_number',
                "placeholder" => 'account::invoice.placeholder.purchase_order_number',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.company_id',
                "placeholder" => 'account::invoice.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'branch_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.branch_id',
                "placeholder" => 'account::invoice.placeholder.branch_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.unit',
                "placeholder" => 'account::invoice.placeholder.unit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.location',
                "placeholder" => 'account::invoice.placeholder.location',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.location_id',
                "placeholder" => 'account::invoice.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.sublocation_id',
                "placeholder" => 'account::invoice.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.property_id',
                "placeholder" => 'account::invoice.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'department',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.department',
                "placeholder" => 'account::invoice.placeholder.department',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'billing_address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.billing_address',
                "placeholder" => 'account::invoice.placeholder.billing_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mobile',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.mobile',
                "placeholder" => 'account::invoice.placeholder.mobile',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'email',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.email',
                "placeholder" => 'account::invoice.placeholder.email',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'serial_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.serial_no',
                "placeholder" => 'account::invoice.placeholder.serial_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'account::invoice.label.invoice_date',
                "placeholder" => 'account::invoice.placeholder.invoice_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'due_date',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'account::invoice.label.due_date',
                "placeholder" => 'account::invoice.placeholder.due_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank_account_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.bank_account_id',
                "placeholder" => 'account::invoice.placeholder.bank_account_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_note',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.customer_note',
                "placeholder" => 'account::invoice.placeholder.customer_note',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sub_total',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.sub_total',
                "placeholder" => 'account::invoice.placeholder.sub_total',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.tax_type',
                "placeholder" => 'account::invoice.placeholder.tax_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax_rate',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.tax_rate',
                "placeholder" => 'account::invoice.placeholder.tax_rate',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.tax_amount',
                "placeholder" => 'account::invoice.placeholder.tax_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'discount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.discount',
                "placeholder" => 'account::invoice.placeholder.discount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'discount_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::invoice.label.discount_type',
                "placeholder" => 'account::invoice.placeholder.discount_type',
                "rules" => '',
                "options" => function(){
                    return trans('account::invoice.options.discount_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'discount_value',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.discount_value',
                "placeholder" => 'account::invoice.placeholder.discount_value',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.total',
                "placeholder" => 'account::invoice.placeholder.total',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total_usd',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.total_usd',
                "placeholder" => 'account::invoice.placeholder.total_usd',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_total',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.payment_total',
                "placeholder" => 'account::invoice.placeholder.payment_total',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'balance_due',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice.label.balance_due',
                "placeholder" => 'account::invoice.placeholder.balance_due',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'message_invoice',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.message_invoice',
                "placeholder" => 'account::invoice.placeholder.message_invoice',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'message_statement',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.message_statement',
                "placeholder" => 'account::invoice.placeholder.message_statement',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.notes',
                "placeholder" => 'account::invoice.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.documents',
                "placeholder" => 'account::invoice.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'show_footer',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.show_footer',
                "placeholder" => 'account::invoice.placeholder.show_footer',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount_inwords',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.amount_inwords',
                "placeholder" => 'account::invoice.placeholder.amount_inwords',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_address',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.customer_address',
                "placeholder" => 'account::invoice.placeholder.customer_address',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_terms',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.payment_terms',
                "placeholder" => 'account::invoice.placeholder.payment_terms',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::invoice.label.payment_status',
                "placeholder" => 'account::invoice.placeholder.payment_status',
                "rules" => '',
                "options" => function(){
                    return trans('account::invoice.options.payment_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'pro_forma_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.pro_forma_id',
                "placeholder" => 'account::invoice.placeholder.pro_forma_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'offplan_payment_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice.label.offplan_payment_id',
                "placeholder" => 'account::invoice.placeholder.offplan_payment_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::invoice.label.type',
                "placeholder" => 'account::invoice.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('account::invoice.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.currency',
                "placeholder" => 'account::invoice.placeholder.currency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_customer_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.deal_customer_type',
                "placeholder" => 'account::invoice.placeholder.deal_customer_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref_client',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice.label.ref_client',
                "placeholder" => 'account::invoice.placeholder.ref_client',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/invoice/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/invoice/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/invoice',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/invoice',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/invoice',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/invoice',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::invoice.label.created_at',
            'name' => 'account::invoice.label.name',
            'status' => 'account::invoice.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::invoice.groups.main",
                'group' => "main.main",
                'title' => "account::invoice.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::invoice.groups.details",
                'group' => "main.details",
                'title' => "account::invoice.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::invoice.groups.images",
                'group' => "main.images",
                'title' => "account::invoice.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::invoice.groups.settings",
                'group' => "main.settings",
                'title' => "account::invoice.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'Invoice',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Account\Models\Invoice::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'account::invoice.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['account.invoice.copy', 'account.invoice.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'account::invoice.label.count',
                        "placeholder" => 'account::invoice.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'account::invoice.label.comment',
                        "placeholder" => 'account::invoice.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'account::invoice.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'account::invoice.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
