<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\InvoiceDetail::class,
            'table' => 'bixo_account_invoice_details',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['invoice_id',  'product_id',  'coa_id',  'costcenter_id',  'price',  'tax',  'tax_amount',  'qty',  'total',  'total_usd',  'description',  'sort_order',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'account/invoice_detail',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "invoice_id", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.invoice_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "product_id", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.product_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_id", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.coa_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "costcenter_id", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.costcenter_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.tax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax_amount", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.tax_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "qty", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.qty', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.total', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "total_usd", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.total_usd', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sort_order", 
                "type" => "text", 
                "label" => 'account::invoice_detail.label.sort_order', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'invoice_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice_detail.label.invoice_id',
                "placeholder" => 'account::invoice_detail.placeholder.invoice_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'product_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice_detail.label.product_id',
                "placeholder" => 'account::invoice_detail.placeholder.product_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice_detail.label.coa_id',
                "placeholder" => 'account::invoice_detail.placeholder.coa_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'costcenter_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice_detail.label.costcenter_id',
                "placeholder" => 'account::invoice_detail.placeholder.costcenter_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice_detail.label.price',
                "placeholder" => 'account::invoice_detail.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice_detail.label.tax',
                "placeholder" => 'account::invoice_detail.placeholder.tax',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice_detail.label.tax_amount',
                "placeholder" => 'account::invoice_detail.placeholder.tax_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'qty',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice_detail.label.qty',
                "placeholder" => 'account::invoice_detail.placeholder.qty',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice_detail.label.total',
                "placeholder" => 'account::invoice_detail.placeholder.total',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'total_usd',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::invoice_detail.label.total_usd',
                "placeholder" => 'account::invoice_detail.placeholder.total_usd',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::invoice_detail.label.description',
                "placeholder" => 'account::invoice_detail.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sort_order',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::invoice_detail.label.sort_order',
                "placeholder" => 'account::invoice_detail.placeholder.sort_order',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/invoice_detail/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/invoice_detail/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/invoice_detail',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/invoice_detail',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/invoice_detail',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/invoice_detail',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::invoice_detail.label.created_at',
            'name' => 'account::invoice_detail.label.name',
            'status' => 'account::invoice_detail.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::invoice_detail.groups.main",
                'group' => "main.main",
                'title' => "account::invoice_detail.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::invoice_detail.groups.details",
                'group' => "main.details",
                'title' => "account::invoice_detail.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::invoice_detail.groups.images",
                'group' => "main.images",
                'title' => "account::invoice_detail.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::invoice_detail.groups.settings",
                'group' => "main.settings",
                'title' => "account::invoice_detail.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'InvoiceDetail',
        ],

        
        
    ];
