<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\JournalDetail::class,
            'table' => 'bixo_account_journal_details',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['journal_id',  'costcenter_id',  'ledger_id',  'coa_id',  'coa_name',  'debit',  'credit',  'sort_order'],
            'translatables' => [],
            'upload_folder' => 'account/journal_detail',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "journal_id", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.journal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "costcenter_id", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.costcenter_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ledger_id", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.ledger_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_id", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.coa_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_name", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.coa_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "debit", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.debit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "credit", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.credit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sort_order", 
                "type" => "text", 
                "label" => 'account::journal_detail.label.sort_order', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'journal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::journal_detail.label.journal_id',
                "placeholder" => 'account::journal_detail.placeholder.journal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'costcenter_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::journal_detail.label.costcenter_id',
                "placeholder" => 'account::journal_detail.placeholder.costcenter_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ledger_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::journal_detail.label.ledger_id',
                "placeholder" => 'account::journal_detail.placeholder.ledger_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::journal_detail.label.coa_id',
                "placeholder" => 'account::journal_detail.placeholder.coa_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::journal_detail.label.coa_name',
                "placeholder" => 'account::journal_detail.placeholder.coa_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'debit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::journal_detail.label.debit',
                "placeholder" => 'account::journal_detail.placeholder.debit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'credit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::journal_detail.label.credit',
                "placeholder" => 'account::journal_detail.placeholder.credit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sort_order',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::journal_detail.label.sort_order',
                "placeholder" => 'account::journal_detail.placeholder.sort_order',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/journal_detail/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/journal_detail/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/journal_detail',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/journal_detail',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/journal_detail',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/journal_detail',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::journal_detail.label.created_at',
            'name' => 'account::journal_detail.label.name',
            'status' => 'account::journal_detail.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::journal_detail.groups.main",
                'group' => "main.main",
                'title' => "account::journal_detail.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::journal_detail.groups.details",
                'group' => "main.details",
                'title' => "account::journal_detail.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::journal_detail.groups.images",
                'group' => "main.images",
                'title' => "account::journal_detail.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::journal_detail.groups.settings",
                'group' => "main.settings",
                'title' => "account::journal_detail.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'JournalDetail',
        ],

        
        
    ];
