<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\Payrec::class,
            'table' => 'bixo_account_payrecs',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['company_id',  'team_id',  'payrecable_id',  'payrecable_type',  'invoice_type',  'customer_id',  'supplier_id',  'agent_id',  'deal_id',  'coa_id',  'customer_name',  'supplier_name',  'coa_name',  'ref',  'project_name',  'building',  'project_price',  'unit',  'mode',  'date',  'currency',  'currency_rate',  'currency_amount',  'bank_id',  'cheque_bank',  'cheque_no',  'cheque_date',  'cheque_clear_date',  'cheque_status',  'deal_customer_type',  'payment',  'receipt',  'tax',  'remarks',  'details',  'status',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'account/payrec',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "company_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.company_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payrecable_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.payrecable_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payrecable_type", 
                "type" => "text", 
                "label" => 'account::payrec.label.payrecable_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice_type", 
                "type" => "text", 
                "label" => 'account::payrec.label.invoice_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.customer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.supplier_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.deal_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.coa_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_name", 
                "type" => "text", 
                "label" => 'account::payrec.label.customer_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_name", 
                "type" => "text", 
                "label" => 'account::payrec.label.supplier_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_name", 
                "type" => "text", 
                "label" => 'account::payrec.label.coa_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'account::payrec.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_name", 
                "type" => "text", 
                "label" => 'account::payrec.label.project_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building", 
                "type" => "text", 
                "label" => 'account::payrec.label.building', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "project_price", 
                "type" => "text", 
                "label" => 'account::payrec.label.project_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit", 
                "type" => "text", 
                "label" => 'account::payrec.label.unit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mode", 
                "type" => "text", 
                "label" => 'account::payrec.label.mode', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'account::payrec.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency", 
                "type" => "text", 
                "label" => 'account::payrec.label.currency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency_rate", 
                "type" => "text", 
                "label" => 'account::payrec.label.currency_rate', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency_amount", 
                "type" => "text", 
                "label" => 'account::payrec.label.currency_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank_id", 
                "type" => "text", 
                "label" => 'account::payrec.label.bank_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_bank", 
                "type" => "text", 
                "label" => 'account::payrec.label.cheque_bank', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_no", 
                "type" => "text", 
                "label" => 'account::payrec.label.cheque_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_date", 
                "type" => "text", 
                "label" => 'account::payrec.label.cheque_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_clear_date", 
                "type" => "text", 
                "label" => 'account::payrec.label.cheque_clear_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_status", 
                "type" => "text", 
                "label" => 'account::payrec.label.cheque_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deal_customer_type", 
                "type" => "text", 
                "label" => 'account::payrec.label.deal_customer_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payment", 
                "type" => "text", 
                "label" => 'account::payrec.label.payment', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "receipt", 
                "type" => "text", 
                "label" => 'account::payrec.label.receipt', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax", 
                "type" => "text", 
                "label" => 'account::payrec.label.tax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remarks", 
                "type" => "text", 
                "label" => 'account::payrec.label.remarks', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "details", 
                "type" => "text", 
                "label" => 'account::payrec.label.details', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'company_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.company_id',
                "placeholder" => 'account::payrec.placeholder.company_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.team_id',
                "placeholder" => 'account::payrec.placeholder.team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payrecable_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.payrecable_id',
                "placeholder" => 'account::payrec.placeholder.payrecable_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payrecable_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.payrecable_type',
                "placeholder" => 'account::payrec.placeholder.payrecable_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.invoice_type',
                "placeholder" => 'account::payrec.placeholder.invoice_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.customer_id',
                "placeholder" => 'account::payrec.placeholder.customer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.supplier_id',
                "placeholder" => 'account::payrec.placeholder.supplier_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.agent_id',
                "placeholder" => 'account::payrec.placeholder.agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.deal_id',
                "placeholder" => 'account::payrec.placeholder.deal_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.coa_id',
                "placeholder" => 'account::payrec.placeholder.coa_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.customer_name',
                "placeholder" => 'account::payrec.placeholder.customer_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.supplier_name',
                "placeholder" => 'account::payrec.placeholder.supplier_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.coa_name',
                "placeholder" => 'account::payrec.placeholder.coa_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.ref',
                "placeholder" => 'account::payrec.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.project_name',
                "placeholder" => 'account::payrec.placeholder.project_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.building',
                "placeholder" => 'account::payrec.placeholder.building',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'project_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec.label.project_price',
                "placeholder" => 'account::payrec.placeholder.project_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.unit',
                "placeholder" => 'account::payrec.placeholder.unit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mode',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::payrec.label.mode',
                "placeholder" => 'account::payrec.placeholder.mode',
                "rules" => '',
                "options" => function(){
                    return trans('account::payrec.options.mode');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec.label.date',
                "placeholder" => 'account::payrec.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.currency',
                "placeholder" => 'account::payrec.placeholder.currency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency_rate',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec.label.currency_rate',
                "placeholder" => 'account::payrec.placeholder.currency_rate',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec.label.currency_amount',
                "placeholder" => 'account::payrec.placeholder.currency_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.bank_id',
                "placeholder" => 'account::payrec.placeholder.bank_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_bank',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.cheque_bank',
                "placeholder" => 'account::payrec.placeholder.cheque_bank',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.cheque_no',
                "placeholder" => 'account::payrec.placeholder.cheque_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec.label.cheque_date',
                "placeholder" => 'account::payrec.placeholder.cheque_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_clear_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec.label.cheque_clear_date',
                "placeholder" => 'account::payrec.placeholder.cheque_clear_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::payrec.label.cheque_status',
                "placeholder" => 'account::payrec.placeholder.cheque_status',
                "rules" => '',
                "options" => function(){
                    return trans('account::payrec.options.cheque_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deal_customer_type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::payrec.label.deal_customer_type',
                "placeholder" => 'account::payrec.placeholder.deal_customer_type',
                "rules" => '',
                "options" => function(){
                    return trans('account::payrec.options.deal_customer_type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payment',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec.label.payment',
                "placeholder" => 'account::payrec.placeholder.payment',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'receipt',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec.label.receipt',
                "placeholder" => 'account::payrec.placeholder.receipt',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec.label.tax',
                "placeholder" => 'account::payrec.placeholder.tax',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remarks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.remarks',
                "placeholder" => 'account::payrec.placeholder.remarks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'details',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec.label.details',
                "placeholder" => 'account::payrec.placeholder.details',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/payrec/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/payrec/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/payrec',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/payrec',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/payrec',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/payrec',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::payrec.label.created_at',
            'name' => 'account::payrec.label.name',
            'status' => 'account::payrec.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::payrec.groups.main",
                'group' => "main.main",
                'title' => "account::payrec.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::payrec.groups.details",
                'group' => "main.details",
                'title' => "account::payrec.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::payrec.groups.images",
                'group' => "main.images",
                'title' => "account::payrec.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::payrec.groups.settings",
                'group' => "main.settings",
                'title' => "account::payrec.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'Payrec',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Bixo\Account\Models\Payrec::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'account::payrec.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['account.payrec.copy', 'account.payrec.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'account::payrec.label.count',
                        "placeholder" => 'account::payrec.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'account::payrec.label.comment',
                        "placeholder" => 'account::payrec.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'account::payrec.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'account::payrec.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
