<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\PayrecDetail::class,
            'table' => 'bixo_account_payrec_details',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['payrec_id',  'invoice_id',  'payrecdetailable_id',  'payrecdetailable_type',  'date',  'credit',  'debit',  'remarks'],
            'translatables' => [],
            'upload_folder' => 'account/payrec_detail',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "payrec_id", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.payrec_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "invoice_id", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.invoice_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payrecdetailable_id", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.payrecdetailable_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "payrecdetailable_type", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.payrecdetailable_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "credit", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.credit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "debit", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.debit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remarks", 
                "type" => "text", 
                "label" => 'account::payrec_detail.label.remarks', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'payrec_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec_detail.label.payrec_id',
                "placeholder" => 'account::payrec_detail.placeholder.payrec_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'invoice_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec_detail.label.invoice_id',
                "placeholder" => 'account::payrec_detail.placeholder.invoice_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payrecdetailable_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec_detail.label.payrecdetailable_id',
                "placeholder" => 'account::payrec_detail.placeholder.payrecdetailable_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'payrecdetailable_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec_detail.label.payrecdetailable_type',
                "placeholder" => 'account::payrec_detail.placeholder.payrecdetailable_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec_detail.label.date',
                "placeholder" => 'account::payrec_detail.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'credit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec_detail.label.credit',
                "placeholder" => 'account::payrec_detail.placeholder.credit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'debit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec_detail.label.debit',
                "placeholder" => 'account::payrec_detail.placeholder.debit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remarks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec_detail.label.remarks',
                "placeholder" => 'account::payrec_detail.placeholder.remarks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/payrec_detail/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/payrec_detail/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/payrec_detail',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/payrec_detail',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/payrec_detail',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/payrec_detail',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::payrec_detail.label.created_at',
            'name' => 'account::payrec_detail.label.name',
            'status' => 'account::payrec_detail.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::payrec_detail.groups.main",
                'group' => "main.main",
                'title' => "account::payrec_detail.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::payrec_detail.groups.details",
                'group' => "main.details",
                'title' => "account::payrec_detail.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::payrec_detail.groups.images",
                'group' => "main.images",
                'title' => "account::payrec_detail.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::payrec_detail.groups.settings",
                'group' => "main.settings",
                'title' => "account::payrec_detail.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'PayrecDetail',
        ],

        
        
    ];
