<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\PayrecReceipts::class,
            'table' => 'bixo_account_payrec_receipts',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['payrec_id',  'date',  'mode',  'amount',  'cheque_bank',  'cheque_date',  'cheque_clear_date',  'cheque_no',  'cheque_status',  'remarks'],
            'translatables' => [],
            'upload_folder' => 'account/payrec_receipts',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "payrec_id", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.payrec_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mode", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.mode', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_bank", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.cheque_bank', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_date", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.cheque_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_clear_date", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.cheque_clear_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_no", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.cheque_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_status", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.cheque_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remarks", 
                "type" => "text", 
                "label" => 'account::payrec_receipts.label.remarks', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'payrec_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec_receipts.label.payrec_id',
                "placeholder" => 'account::payrec_receipts.placeholder.payrec_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec_receipts.label.date',
                "placeholder" => 'account::payrec_receipts.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mode',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec_receipts.label.mode',
                "placeholder" => 'account::payrec_receipts.placeholder.mode',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::payrec_receipts.label.amount',
                "placeholder" => 'account::payrec_receipts.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_bank',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::payrec_receipts.label.cheque_bank',
                "placeholder" => 'account::payrec_receipts.placeholder.cheque_bank',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec_receipts.label.cheque_date',
                "placeholder" => 'account::payrec_receipts.placeholder.cheque_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_clear_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::payrec_receipts.label.cheque_clear_date',
                "placeholder" => 'account::payrec_receipts.placeholder.cheque_clear_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec_receipts.label.cheque_no',
                "placeholder" => 'account::payrec_receipts.placeholder.cheque_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::payrec_receipts.label.cheque_status',
                "placeholder" => 'account::payrec_receipts.placeholder.cheque_status',
                "rules" => '',
                "options" => function(){
                    return trans('account::payrec_receipts.options.cheque_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remarks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::payrec_receipts.label.remarks',
                "placeholder" => 'account::payrec_receipts.placeholder.remarks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/payrec_receipts/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/payrec_receipts/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/payrec_receipts',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/payrec_receipts',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/payrec_receipts',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/payrec_receipts',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::payrec_receipts.label.created_at',
            'name' => 'account::payrec_receipts.label.name',
            'status' => 'account::payrec_receipts.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::payrec_receipts.groups.main",
                'group' => "main.main",
                'title' => "account::payrec_receipts.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::payrec_receipts.groups.details",
                'group' => "main.details",
                'title' => "account::payrec_receipts.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::payrec_receipts.groups.images",
                'group' => "main.images",
                'title' => "account::payrec_receipts.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::payrec_receipts.groups.settings",
                'group' => "main.settings",
                'title' => "account::payrec_receipts.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'PayrecReceipts',
        ],

        
        
    ];
