<?php


return  
    [
        'model' => [
            'model' => \Bixo\Account\Models\Transaction::class,
            'table' => 'bixo_account_transactions',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['type',  'customer_id',  'supplier_id',  'coa_id',  'customer_name',  'supplier_name',  'coa_name',  'ref',  'mode',  'date',  'currency',  'currency_rate',  'currency_amount',  'bank_id',  'cheque_bank',  'cheque_no',  'cheque_date',  'cheque_clear_date',  'cheque_status',  'amount',  'tax',  'remarks',  'details',  'status',  'user_id'],
            'translatables' => [],
            'upload_folder' => 'account/transaction',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'account::transaction.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_id", 
                "type" => "text", 
                "label" => 'account::transaction.label.customer_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_id", 
                "type" => "text", 
                "label" => 'account::transaction.label.supplier_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_id", 
                "type" => "text", 
                "label" => 'account::transaction.label.coa_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "customer_name", 
                "type" => "text", 
                "label" => 'account::transaction.label.customer_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "supplier_name", 
                "type" => "text", 
                "label" => 'account::transaction.label.supplier_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "coa_name", 
                "type" => "text", 
                "label" => 'account::transaction.label.coa_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'account::transaction.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "mode", 
                "type" => "text", 
                "label" => 'account::transaction.label.mode', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "date", 
                "type" => "text", 
                "label" => 'account::transaction.label.date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency", 
                "type" => "text", 
                "label" => 'account::transaction.label.currency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency_rate", 
                "type" => "text", 
                "label" => 'account::transaction.label.currency_rate', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "currency_amount", 
                "type" => "text", 
                "label" => 'account::transaction.label.currency_amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bank_id", 
                "type" => "text", 
                "label" => 'account::transaction.label.bank_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_bank", 
                "type" => "text", 
                "label" => 'account::transaction.label.cheque_bank', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_no", 
                "type" => "text", 
                "label" => 'account::transaction.label.cheque_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_date", 
                "type" => "text", 
                "label" => 'account::transaction.label.cheque_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_clear_date", 
                "type" => "text", 
                "label" => 'account::transaction.label.cheque_clear_date', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheque_status", 
                "type" => "text", 
                "label" => 'account::transaction.label.cheque_status', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amount", 
                "type" => "text", 
                "label" => 'account::transaction.label.amount', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tax", 
                "type" => "text", 
                "label" => 'account::transaction.label.tax', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "remarks", 
                "type" => "text", 
                "label" => 'account::transaction.label.remarks', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "details", 
                "type" => "text", 
                "label" => 'account::transaction.label.details', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::transaction.label.type',
                "placeholder" => 'account::transaction.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('account::transaction.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::transaction.label.customer_id',
                "placeholder" => 'account::transaction.placeholder.customer_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::transaction.label.supplier_id',
                "placeholder" => 'account::transaction.placeholder.supplier_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::transaction.label.coa_id',
                "placeholder" => 'account::transaction.placeholder.coa_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'customer_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.customer_name',
                "placeholder" => 'account::transaction.placeholder.customer_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'supplier_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.supplier_name',
                "placeholder" => 'account::transaction.placeholder.supplier_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'coa_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.coa_name',
                "placeholder" => 'account::transaction.placeholder.coa_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.ref',
                "placeholder" => 'account::transaction.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'mode',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::transaction.label.mode',
                "placeholder" => 'account::transaction.placeholder.mode',
                "rules" => '',
                "options" => function(){
                    return trans('account::transaction.options.mode');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::transaction.label.date',
                "placeholder" => 'account::transaction.placeholder.date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.currency',
                "placeholder" => 'account::transaction.placeholder.currency',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency_rate',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::transaction.label.currency_rate',
                "placeholder" => 'account::transaction.placeholder.currency_rate',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'currency_amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::transaction.label.currency_amount',
                "placeholder" => 'account::transaction.placeholder.currency_amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bank_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'account::transaction.label.bank_id',
                "placeholder" => 'account::transaction.placeholder.bank_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_bank',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.cheque_bank',
                "placeholder" => 'account::transaction.placeholder.cheque_bank',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.cheque_no',
                "placeholder" => 'account::transaction.placeholder.cheque_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::transaction.label.cheque_date',
                "placeholder" => 'account::transaction.placeholder.cheque_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_clear_date',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'account::transaction.label.cheque_clear_date',
                "placeholder" => 'account::transaction.placeholder.cheque_clear_date',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheque_status',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'account::transaction.label.cheque_status',
                "placeholder" => 'account::transaction.placeholder.cheque_status',
                "rules" => '',
                "options" => function(){
                    return trans('account::transaction.options.cheque_status');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amount',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::transaction.label.amount',
                "placeholder" => 'account::transaction.placeholder.amount',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tax',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'account::transaction.label.tax',
                "placeholder" => 'account::transaction.placeholder.tax',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'remarks',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.remarks',
                "placeholder" => 'account::transaction.placeholder.remarks',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'details',
                "element" => 'text',
                "type" => 'text',
                "label" => 'account::transaction.label.details',
                "placeholder" => 'account::transaction.placeholder.details',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'account/transaction/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'account/transaction/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'account/transaction',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'account/transaction',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'account/transaction',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'account/transaction',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'account::transaction.label.created_at',
            'name' => 'account::transaction.label.name',
            'status' => 'account::transaction.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "account::transaction.groups.main",
                'group' => "main.main",
                'title' => "account::transaction.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "account::transaction.groups.details",
                'group' => "main.details",
                'title' => "account::transaction.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "account::transaction.groups.images",
                'group' => "main.images",
                'title' => "account::transaction.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "account::transaction.groups.settings",
                'group' => "main.settings",
                'title' => "account::transaction.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Bixo',
            'package' => 'Account',
            'module' => 'Transaction',
        ],

        
        
    ];
