<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountAcknowledgementDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_acknowledgement_details
         */
        Schema::create('bixo_account_acknowledgement_details', function ($table) {
            $table->increments('id');
            $table->integer('acknowledgement_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->string('mode', 30)->nullable();
            $table->dateTime('date')->nullable();
            $table->date('cheque_date')->nullable();
            $table->string('cheque_no', 50)->nullable();
            $table->integer('cheque_bank')->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->text('description')->nullable();
            $table->tinyInteger('sort_order')->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_acknowledgement_details');
    }
}
