<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountAcknowledgementsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_acknowledgements
         */
        Schema::create('bixo_account_acknowledgements', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('customer_id')->nullable();
            $table->integer('coa_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('unit', 30)->nullable();
            $table->date('date')->nullable();
            $table->string('project_name', 100)->nullable();
            $table->string('building', 100)->nullable();
            $table->decimal('project_price', 12,3)->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->string('currency', 10)->nullable();
            $table->text('remarks')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->enum('deal_customer_type', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_acknowledgements');
    }
}
