<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountBanksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_banks
         */
        Schema::create('bixo_account_banks', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 200)->nullable();
            $table->string('alias', 30)->nullable();
            $table->string('number', 50)->nullable();
            $table->string('bank_name', 200)->nullable();
            $table->string('iban', 50)->nullable();
            $table->string('swift', 50)->nullable();
            $table->integer('coa_id')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_banks');
    }
}
