<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountCustomersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_customers
         */
        Schema::create('bixo_account_customers', function ($table) {
            $table->increments('id');
            $table->integer('team_id')->nullable();
            $table->string('ref', 30)->nullable();
            $table->string('name', 200)->nullable();
            $table->string('email', 100)->nullable();
            $table->string('mobile', 50)->nullable();
            $table->string('billing_address', 150)->nullable();
            $table->string('company', 100)->nullable();
            $table->integer('sundry_debtor_id')->nullable();
            $table->integer('sundry_creditor_id')->nullable();
            $table->string('tax_no', 30)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_customers');
    }
}
