<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountDrcrnoteDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_drcrnote_details
         */
        Schema::create('bixo_account_drcrnote_details', function ($table) {
            $table->increments('id');
            $table->integer('drcrnote_id')->nullable();
            $table->integer('invoice_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->date('date')->nullable();
            $table->decimal('debit_amount', 12,3)->nullable();
            $table->decimal('debit_tax', 12,3)->nullable();
            $table->decimal('credit_amount', 12,3)->nullable();
            $table->decimal('credit_tax', 12,3)->nullable();
            $table->integer('tax_percentage')->nullable();
            $table->text('remarks')->nullable();
            $table->tinyInteger('sort_order')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_drcrnote_details');
    }
}
