<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountDrcrnotesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_drcrnotes
         */
        Schema::create('bixo_account_drcrnotes', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('customer_id')->nullable();
            $table->integer('supplier_id')->nullable();
            $table->string('email', 100)->nullable();
            $table->string('billing_address', 150)->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('code', 50)->nullable();
            $table->string('serial_no', 20)->nullable();
            $table->date('date')->nullable();
            $table->string('type', 20)->nullable();
            $table->enum('mode', ['Yes', 'No'])->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->decimal('tax', 12,3)->nullable();
            $table->string('currency', 15)->nullable();
            $table->decimal('currency_rate', 12,3)->nullable();
            $table->decimal('currency_amount', 12,3)->nullable();
            $table->text('remarks')->nullable();
            $table->text('description')->nullable();
            $table->text('message_invoice')->nullable();
            $table->text('message_statement')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->package::package.fieldtype.KEY('PRIMARY')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_drcrnotes');
    }
}
