<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountInvoiceDetailsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_invoice_details
         */
        Schema::create('bixo_account_invoice_details', function ($table) {
            $table->increments('id');
            $table->integer('invoice_id')->nullable();
            $table->integer('product_id')->nullable();
            $table->integer('coa_id')->nullable();
            $table->integer('costcenter_id')->nullable();
            $table->decimal('price', 12,2)->nullable();
            $table->decimal('tax', 4,2)->nullable();
            $table->decimal('tax_amount', 12,2)->nullable();
            $table->decimal('qty', 6,2)->nullable();
            $table->decimal('total', 12,2)->nullable();
            $table->decimal('total_usd', 12,3)->nullable();
            $table->string('description', 500)->nullable();
            $table->tinyInteger('sort_order')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_invoice_details');
    }
}
