<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountPayrecReceiptsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_payrec_receipts
         */
        Schema::create('bixo_account_payrec_receipts', function ($table) {
            $table->increments('id');
            $table->integer('payrec_id')->nullable();
            $table->date('date')->nullable();
            $table->string('mode', 30)->nullable();
            $table->decimal('amount', 12,3)->nullable();
            $table->integer('cheque_bank')->nullable();
            $table->date('cheque_date')->nullable();
            $table->date('cheque_clear_date')->nullable();
            $table->string('cheque_no', 50)->nullable();
            $table->enum('cheque_status', ['Yes', 'No'])->nullable();
            $table->text('remarks')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_payrec_receipts');
    }
}
