<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountPayrecsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_payrecs
         */
        Schema::create('bixo_account_payrecs', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('payrecable_id')->nullable();
            $table->string('payrecable_type', 50)->nullable();
            $table->string('invoice_type', 50)->nullable();
            $table->integer('customer_id')->nullable();
            $table->integer('supplier_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('deal_id')->nullable();
            $table->integer('coa_id')->nullable();
            $table->string('customer_name', 100)->nullable();
            $table->string('supplier_name', 100)->nullable();
            $table->string('coa_name', 100)->nullable();
            $table->string('ref', 50)->nullable();
            $table->string('project_name', 100)->nullable();
            $table->string('building', 100)->nullable();
            $table->decimal('project_price', 12,3)->nullable();
            $table->string('unit', 30)->nullable();
            $table->enum('mode', ['Yes', 'No'])->nullable();
            $table->date('date')->nullable();
            $table->string('currency', 10)->nullable();
            $table->decimal('currency_rate', 6,3)->nullable();
            $table->decimal('currency_amount', 12,3)->nullable();
            $table->integer('bank_id')->nullable();
            $table->string('cheque_bank', 50)->nullable();
            $table->string('cheque_no', 50)->nullable();
            $table->date('cheque_date')->nullable();
            $table->date('cheque_clear_date')->nullable();
            $table->enum('cheque_status', ['Yes', 'No'])->nullable();
            $table->enum('deal_customer_type', ['Yes', 'No'])->nullable();
            $table->decimal('payment', 12,3)->nullable();
            $table->decimal('receipt', 12,3)->nullable();
            $table->integer('tax')->nullable();
            $table->text('remarks')->nullable();
            $table->text('details')->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('user_id')->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_payrecs');
    }
}
