<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoAccountProductsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_account_products
         */
        Schema::create('bixo_account_products', function ($table) {
            $table->increments('id');
            $table->integer('team_id')->nullable();
            $table->string('ref', 30)->nullable();
            $table->string('name', 100)->nullable();
            $table->string('description', 200)->nullable();
            $table->decimal('tax_rate', 5,2)->nullable();
            $table->decimal('price', 10,2)->nullable();
            $table->integer('purchase_coaid')->nullable();
            $table->integer('sale_coaid')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 20)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_account_products');
    }
}
