<?php

namespace Bixo\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class AcknowledgementDetailTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_account_acknowledgement_details')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.account.acknowledgement_detail.view',
                'name'      => 'View AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.create',
                'name'      => 'Create AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.edit',
                'name'      => 'Update AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.delete',
                'name'      => 'Delete AcknowledgementDetail',
            ],
            
                        [
                'slug'      => 'bixo.account.acknowledgement_detail.verify',
                'name'      => 'Verify AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.approve',
                'name'      => 'Approve AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.publish',
                'name'      => 'Publish AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.unpublish',
                'name'      => 'Unpublish AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.cancel',
                'name'      => 'Cancel AcknowledgementDetail',
            ],
            [
                'slug'      => 'bixo.account.acknowledgement_detail.archive',
                'name'      => 'Archive AcknowledgementDetail',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/acknowledgement_detail',
                'name'        => 'AcknowledgementDetail',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/acknowledgement_detail',
                'name'        => 'AcknowledgementDetail',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'acknowledgement_detail',
                'name'        => 'AcknowledgementDetail',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'AcknowledgementDetail',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.account.acknowledgement_detail.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
