<?php

namespace Bixo\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class BankTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_account_banks')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.account.bank.view',
                'name'      => 'View Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.create',
                'name'      => 'Create Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.edit',
                'name'      => 'Update Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.delete',
                'name'      => 'Delete Bank',
            ],
            
                        [
                'slug'      => 'bixo.account.bank.verify',
                'name'      => 'Verify Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.approve',
                'name'      => 'Approve Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.publish',
                'name'      => 'Publish Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.unpublish',
                'name'      => 'Unpublish Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.cancel',
                'name'      => 'Cancel Bank',
            ],
            [
                'slug'      => 'bixo.account.bank.archive',
                'name'      => 'Archive Bank',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/bank',
                'name'        => 'Bank',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/bank',
                'name'        => 'Bank',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'bank',
                'name'        => 'Bank',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'Bank',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.account.bank.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
