<?php

namespace Bixo\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class CustomerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_account_customers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.account.customer.view',
                'name'      => 'View Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.create',
                'name'      => 'Create Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.edit',
                'name'      => 'Update Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.delete',
                'name'      => 'Delete Customer',
            ],
            
                        [
                'slug'      => 'bixo.account.customer.verify',
                'name'      => 'Verify Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.approve',
                'name'      => 'Approve Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.publish',
                'name'      => 'Publish Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.unpublish',
                'name'      => 'Unpublish Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.cancel',
                'name'      => 'Cancel Customer',
            ],
            [
                'slug'      => 'bixo.account.customer.archive',
                'name'      => 'Archive Customer',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/customer',
                'name'        => 'Customer',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/customer',
                'name'        => 'Customer',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'customer',
                'name'        => 'Customer',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'Customer',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.account.customer.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
