<?php

namespace Bixo\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class JournalTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_account_journals')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.account.journal.view',
                'name'      => 'View Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.create',
                'name'      => 'Create Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.edit',
                'name'      => 'Update Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.delete',
                'name'      => 'Delete Journal',
            ],
            
                        [
                'slug'      => 'bixo.account.journal.verify',
                'name'      => 'Verify Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.approve',
                'name'      => 'Approve Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.publish',
                'name'      => 'Publish Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.unpublish',
                'name'      => 'Unpublish Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.cancel',
                'name'      => 'Cancel Journal',
            ],
            [
                'slug'      => 'bixo.account.journal.archive',
                'name'      => 'Archive Journal',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/journal',
                'name'        => 'Journal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/journal',
                'name'        => 'Journal',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'journal',
                'name'        => 'Journal',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'Journal',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.account.journal.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
