<?php

namespace Bixo\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class LedgerTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_account_ledgers')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.account.ledger.view',
                'name'      => 'View Ledger',
            ],
            [
                'slug'      => 'bixo.account.ledger.create',
                'name'      => 'Create Ledger',
            ],
            [
                'slug'      => 'bixo.account.ledger.edit',
                'name'      => 'Update Ledger',
            ],
            [
                'slug'      => 'bixo.account.ledger.delete',
                'name'      => 'Delete Ledger',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/ledger',
                'name'        => 'Ledger',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/ledger',
                'name'        => 'Ledger',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'ledger',
                'name'        => 'Ledger',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'Ledger',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.account.ledger.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
