<?php

namespace Bixo\Account\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class TransactionsDetailTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('bixo_account_transactions_details')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'bixo.account.transactions_detail.view',
                'name'      => 'View TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.create',
                'name'      => 'Create TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.edit',
                'name'      => 'Update TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.delete',
                'name'      => 'Delete TransactionsDetail',
            ],
            
                        [
                'slug'      => 'bixo.account.transactions_detail.verify',
                'name'      => 'Verify TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.approve',
                'name'      => 'Approve TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.publish',
                'name'      => 'Publish TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.unpublish',
                'name'      => 'Unpublish TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.cancel',
                'name'      => 'Cancel TransactionsDetail',
            ],
            [
                'slug'      => 'bixo.account.transactions_detail.archive',
                'name'      => 'Archive TransactionsDetail',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/account/transactions_detail',
                'name'        => 'TransactionsDetail',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/account/transactions_detail',
                'name'        => 'TransactionsDetail',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'transactions_detail',
                'name'        => 'TransactionsDetail',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Account',
                'module'    => 'TransactionsDetail',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'bixo.account.transactions_detail.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
