<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for invoice in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  invoice module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Invoice',
    'names' => 'Invoices',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Invoices',
        'sub' => 'Invoices'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'Posted',
                    'value'  => 'Posted',
                    'text'   => 'Posted',
                ],
                                
                [
                    'key'    => 'Deleted',
                    'value'  => 'Deleted',
                    'text'   => 'Deleted',
                ],
                                
            ],

        'discount_type' => 
            [
                                
                [
                    'key'    => 'pct',
                    'value'  => 'pct',
                    'text'   => 'pct',
                ],
                                
                [
                    'key'    => 'amount',
                    'value'  => 'amount',
                    'text'   => 'amount',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'payment_status' => 
            [
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
                [
                    'key'    => 'Unpaid',
                    'value'  => 'Unpaid',
                    'text'   => 'Unpaid',
                ],
                                
                [
                    'key'    => 'Partial',
                    'value'  => 'Partial',
                    'text'   => 'Partial',
                ],
                                
            ],

        'type' => 
            [
                                
                [
                    'key'    => 'tax',
                    'value'  => 'tax',
                    'text'   => 'tax',
                ],
                                
                [
                    'key'    => 'pro_forma',
                    'value'  => 'pro_forma',
                    'text'   => 'pro_forma',
                ],
                                
                [
                    'key'    => 'normal',
                    'value'  => 'normal',
                    'text'   => 'normal',
                ],
                                
                [
                    'key'    => 'deal',
                    'value'  => 'deal',
                    'text'   => 'deal',
                ],
                                
                [
                    'key'    => 'offplan',
                    'value'  => 'offplan',
                    'text'   => 'offplan',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'related_id'                 => 'Please enter related id',
        'team_id'                    => 'Please enter team id',
        'agent_id'                   => 'Please enter agent id',
        'deal_id'                    => 'Please enter deal id',
        'ref'                        => 'Please enter ref',
        'customer_id'                => 'Please enter customer id',
        'supplier_id'                => 'Please enter supplier id',
        'purchase_invoice_number'        => 'Please enter purchase invoice number',
        'purchase_order_number'        => 'Please enter purchase order number',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'unit'                       => 'Please enter unit',
        'location'                   => 'Please enter location',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'department'                 => 'Please enter department',
        'billing_address'            => 'Please enter billing address',
        'mobile'                     => 'Please enter mobile',
        'email'                      => 'Please enter email',
        'serial_no'                  => 'Please enter serial no',
        'invoice_date'               => 'Please select invoice date',
        'due_date'                   => 'Please select due date',
        'bank_account_id'            => 'Please enter bank account id',
        'customer_note'              => 'Please enter customer note',
        'status'                     => 'Please select status',
        'sub_total'                  => 'Please enter sub total',
        'tax_type'                   => 'Please enter tax type',
        'tax_rate'                   => 'Please enter tax rate',
        'tax_amount'                 => 'Please enter tax amount',
        'discount'                   => 'Please enter discount',
        'discount_type'              => 'Please select discount type',
        'discount_value'             => 'Please enter discount value',
        'total'                      => 'Please enter total',
        'total_usd'                  => 'Please enter total usd',
        'payment_total'              => 'Please enter payment total',
        'balance_due'                => 'Please enter balance due',
        'message_invoice'            => 'Please enter message invoice',
        'message_statement'          => 'Please enter message statement',
        'notes'                      => 'Please enter notes',
        'documents'                  => 'Please enter documents',
        'show_footer'                => 'Please enter show footer',
        'amount_inwords'             => 'Please enter amount inwords',
        'customer_address'           => 'Please enter customer address',
        'payment_terms'              => 'Please enter payment terms',
        'payment_status'             => 'Please select payment status',
        'pro_forma_id'               => 'Please enter pro forma id',
        'offplan_payment_id'         => 'Please enter offplan payment id',
        'type'                       => 'Please select type',
        'currency'                   => 'Please enter currency',
        'deal_customer_type'         => 'Please enter deal customer type',
        'ref_client'                 => 'Please enter ref client',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'related_id'                 => 'Related id',
        'team_id'                    => 'Team id',
        'agent_id'                   => 'Agent id',
        'deal_id'                    => 'Deal id',
        'ref'                        => 'Ref',
        'customer_id'                => 'Customer id',
        'supplier_id'                => 'Supplier id',
        'purchase_invoice_number'        => 'Purchase invoice number',
        'purchase_order_number'        => 'Purchase order number',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'unit'                       => 'Unit',
        'location'                   => 'Location',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'department'                 => 'Department',
        'billing_address'            => 'Billing address',
        'mobile'                     => 'Mobile',
        'email'                      => 'Email',
        'serial_no'                  => 'Serial no',
        'invoice_date'               => 'Invoice date',
        'due_date'                   => 'Due date',
        'bank_account_id'            => 'Bank account id',
        'customer_note'              => 'Customer note',
        'status'                     => 'Status',
        'sub_total'                  => 'Sub total',
        'tax_type'                   => 'Tax type',
        'tax_rate'                   => 'Tax rate',
        'tax_amount'                 => 'Tax amount',
        'discount'                   => 'Discount',
        'discount_type'              => 'Discount type',
        'discount_value'             => 'Discount value',
        'total'                      => 'Total',
        'total_usd'                  => 'Total usd',
        'payment_total'              => 'Payment total',
        'balance_due'                => 'Balance due',
        'message_invoice'            => 'Message invoice',
        'message_statement'          => 'Message statement',
        'notes'                      => 'Notes',
        'documents'                  => 'Documents',
        'show_footer'                => 'Show footer',
        'amount_inwords'             => 'Amount inwords',
        'customer_address'           => 'Customer address',
        'payment_terms'              => 'Payment terms',
        'payment_status'             => 'Payment status',
        'pro_forma_id'               => 'Pro forma id',
        'offplan_payment_id'         => 'Offplan payment id',
        'type'                       => 'Type',
        'currency'                   => 'Currency',
        'deal_customer_type'         => 'Deal customer type',
        'ref_client'                 => 'Ref client',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
