<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for journal in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  journal module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Journal',
    'names' => 'Journals',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Journals',
        'sub' => 'Journals'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Posted',
                    'value'  => 'Posted',
                    'text'   => 'Posted',
                ],
                                
                [
                    'key'    => 'Cancelled',
                    'value'  => 'Cancelled',
                    'text'   => 'Cancelled',
                ],
                                
                [
                    'key'    => 'Deleted',
                    'value'  => 'Deleted',
                    'text'   => 'Deleted',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'branch_id'                  => 'Please enter branch id',
        'code'                       => 'Please enter code',
        'date'                       => 'Please select date',
        'ref'                        => 'Please enter ref',
        'narration'                  => 'Please enter narration',
        'note'                       => 'Please enter note',
        'notes'                      => 'Please enter notes',
        'docs'                       => 'Please enter docs',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'branch_id'                  => 'Branch id',
        'code'                       => 'Code',
        'date'                       => 'Date',
        'ref'                        => 'Ref',
        'narration'                  => 'Narration',
        'note'                       => 'Note',
        'notes'                      => 'Notes',
        'docs'                       => 'Docs',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
