<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for transaction in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  transaction module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Transaction',
    'names' => 'Transactions',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Transactions',
        'sub' => 'Transactions'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'type' => 
            [
                                
                [
                    'key'    => 'Receipt',
                    'value'  => 'Receipt',
                    'text'   => 'Receipt',
                ],
                                
                [
                    'key'    => 'Payment',
                    'value'  => 'Payment',
                    'text'   => 'Payment',
                ],
                                
                [
                    'key'    => 'Creditnote',
                    'value'  => 'Creditnote',
                    'text'   => 'Creditnote',
                ],
                                
                [
                    'key'    => 'Debitnote',
                    'value'  => 'Debitnote',
                    'text'   => 'Debitnote',
                ],
                                
            ],

        'mode' => 
            [
                                
                [
                    'key'    => 'Cash',
                    'value'  => 'Cash',
                    'text'   => 'Cash',
                ],
                                
                [
                    'key'    => 'Cheque',
                    'value'  => 'Cheque',
                    'text'   => 'Cheque',
                ],
                                
                [
                    'key'    => 'Bank Tranfer',
                    'value'  => 'Bank Tranfer',
                    'text'   => 'Bank Tranfer',
                ],
                                
            ],

        'cheque_status' => 
            [
                                
                [
                    'key'    => 'Pending',
                    'value'  => 'Pending',
                    'text'   => 'Pending',
                ],
                                
                [
                    'key'    => 'Cleared',
                    'value'  => 'Cleared',
                    'text'   => 'Cleared',
                ],
                                
                [
                    'key'    => 'Hold',
                    'value'  => 'Hold',
                    'text'   => 'Hold',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Saved',
                    'value'  => 'Saved',
                    'text'   => 'Saved',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Posted',
                    'value'  => 'Posted',
                    'text'   => 'Posted',
                ],
                                
                [
                    'key'    => 'Cancelled',
                    'value'  => 'Cancelled',
                    'text'   => 'Cancelled',
                ],
                                
                [
                    'key'    => 'Paid',
                    'value'  => 'Paid',
                    'text'   => 'Paid',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'type'                       => 'Please select type',
        'customer_id'                => 'Please enter customer id',
        'supplier_id'                => 'Please enter supplier id',
        'coa_id'                     => 'Please enter coa id',
        'customer_name'              => 'Please enter customer name',
        'supplier_name'              => 'Please enter supplier name',
        'coa_name'                   => 'Please enter coa name',
        'ref'                        => 'Please enter ref',
        'mode'                       => 'Please select mode',
        'date'                       => 'Please select date',
        'currency'                   => 'Please enter currency',
        'currency_rate'              => 'Please enter currency rate',
        'currency_amount'            => 'Please enter currency amount',
        'bank_id'                    => 'Please enter bank id',
        'cheque_bank'                => 'Please enter cheque bank',
        'cheque_no'                  => 'Please enter cheque no',
        'cheque_date'                => 'Please select cheque date',
        'cheque_clear_date'          => 'Please select cheque clear date',
        'cheque_status'              => 'Please select cheque status',
        'amount'                     => 'Please enter amount',
        'tax'                        => 'Please enter tax',
        'remarks'                    => 'Please enter remarks',
        'details'                    => 'Please enter details',
        'status'                     => 'Please select status',
        'user_id'                    => 'Please enter user id',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'type'                       => 'Type',
        'customer_id'                => 'Customer id',
        'supplier_id'                => 'Supplier id',
        'coa_id'                     => 'Coa id',
        'customer_name'              => 'Customer name',
        'supplier_name'              => 'Supplier name',
        'coa_name'                   => 'Coa name',
        'ref'                        => 'Ref',
        'mode'                       => 'Mode',
        'date'                       => 'Date',
        'currency'                   => 'Currency',
        'currency_rate'              => 'Currency rate',
        'currency_amount'            => 'Currency amount',
        'bank_id'                    => 'Bank id',
        'cheque_bank'                => 'Cheque bank',
        'cheque_no'                  => 'Cheque no',
        'cheque_date'                => 'Cheque date',
        'cheque_clear_date'          => 'Cheque clear date',
        'cheque_status'              => 'Cheque status',
        'amount'                     => 'Amount',
        'tax'                        => 'Tax',
        'remarks'                    => 'Remarks',
        'details'                    => 'Details',
        'status'                     => 'Status',
        'user_id'                    => 'User id',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    
    ];
