<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for transactions_detail in account package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  transactions_detail module in account package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'TransactionsDetail',
    'names' => 'TransactionsDetails',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'TransactionsDetails',
        'sub' => 'TransactionsDetails'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'transaction_id'             => 'Please enter transaction id',
        'invoice_id'                 => 'Please enter invoice id',
        'debit'                      => 'Please enter debit',
        'debit_tax'                  => 'Please enter debit tax',
        'credit'                     => 'Please enter credit',
        'credit_tax'                 => 'Please enter credit tax',
        'tax_percentage'             => 'Please enter tax percentage',
        'remarks'                    => 'Please enter remarks',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'transaction_id'             => 'Transaction id',
        'invoice_id'                 => 'Invoice id',
        'debit'                      => 'Debit',
        'debit_tax'                  => 'Debit tax',
        'credit'                     => 'Credit',
        'credit_tax'                 => 'Credit tax',
        'tax_percentage'             => 'Tax percentage',
        'remarks'                    => 'Remarks',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
