<?php

namespace Bixo\Account\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Bixo\Account\Models\AcknowledgementDetail;


class AcknowledgementDetailAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'bixo.account.acknowledgement_detail';
    protected $eventClass = \Bixo\Account\Events\AcknowledgementDetailAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, AcknowledgementDetail $acknowledgement_detail, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $acknowledgement_detail;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(AcknowledgementDetail $acknowledgement_detail, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $acknowledgement_detail = $acknowledgement_detail->create($attributes);
        return $acknowledgement_detail;
    }

    public function update(AcknowledgementDetail $acknowledgement_detail, array $request)
    {
        $attributes = $request;
        $acknowledgement_detail->update($attributes);
        return $acknowledgement_detail;
    }

    public function destroy(AcknowledgementDetail $acknowledgement_detail, array $request)
    {
        $acknowledgement_detail->delete();
        return $acknowledgement_detail;
    }

    public function copy(AcknowledgementDetail $acknowledgement_detail, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $acknowledgement_detail = $acknowledgement_detail->replicate();
            $acknowledgement_detail->created_at = Carbon::now();
            $acknowledgement_detail->save();
            return $acknowledgement_detail;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $acknowledgement_detail->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $acknowledgement_detail;
    }


}
