<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Account\Http\Requests\AcknowledgementDetailActionsRequest;
use Bixo\Account\Actions\AcknowledgementDetailActions;

/**
 * Admin web controller class.
 */
class AcknowledgementDetailActionsController extends BaseController
{

    /**
     * Action controller function for acknowledgement_detail.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(AcknowledgementDetailActionsRequest $request, $action)
    {
        try {
            $acknowledgement_detail = AcknowledgementDetailActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('account::acknowledgement_detail.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/acknowledgement_detail/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/acknowledgement_detail/' . $action))
                ->redirect();
        }
    }
}
