<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Account\Actions\CoaReport;
use Bixo\Account\Http\Requests\CoaReportRequest;

/**
 * Admin web controller class.
 */
class CoaReportController extends BaseController
{
    /**
     * Action controller function for coa.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CoaReportRequest $request, $report)
    {
        try {
        
            $this->model = app(Coa::class);
            $data = CoaReport::run($request, $report);

            return $this->response->message(trans('messages.success.updated', ['Module' => trans('account::coa.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/coa/' . $report))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/coa/' . $report))
                ->redirect();
        }
    }
}
