<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Account\Actions\CostcenterAction;
use Bixo\Account\Http\Requests\CostcenterActionRequest;
use Bixo\Account\Http\Resources\CostcenterResource;
use Bixo\Account\Models\Costcenter;

/**
 * Admin web controller class.
 */
class CostcenterActionController extends BaseController
{

    /**
     * Action controller function for costcenter.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(CostcenterActionRequest $request, Costcenter $costcenter, $action)
    {
        try {
            $request = $request->all();
            $costcenter = CostcenterAction::run($action, $costcenter, $request);

            $data = new CostcenterResource($costcenter);
            return $this->response->message(trans("messages.success.{$action}", ['Module' => trans('account::costcenter.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/costcenter/' . $costcenter->getRouteKey()))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/costcenter/' . $costcenter->getRouteKey()))
                ->redirect();
        }
    }

    public function notify(){
        
    }
}
