<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Account\Actions\DrcrnoteAction;
use Bixo\Account\Http\Requests\DrcrnoteActionRequest;
use Bixo\Account\Http\Resources\DrcrnoteResource;
use Bixo\Account\Models\Drcrnote;

/**
 * Admin web controller class.
 */
class DrcrnoteActionController extends BaseController
{

    /**
     * Action controller function for drcrnote.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DrcrnoteActionRequest $request, Drcrnote $drcrnote, $action)
    {
        try {
            $request = $request->all();
            $drcrnote = DrcrnoteAction::run($action, $drcrnote, $request);

            $data = new DrcrnoteResource($drcrnote);
            return $this->response->message(trans("messages.success.{$action}", ['Module' => trans('account::drcrnote.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/drcrnote/' . $drcrnote->getRouteKey()))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/drcrnote/' . $drcrnote->getRouteKey()))
                ->redirect();
        }
    }

    public function notify(){
        
    }
}
