<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\ActionController as BaseController;
use Exception;
use Bixo\Account\Actions\DrcrnoteDetailAction;
use Bixo\Account\Http\Requests\DrcrnoteDetailActionRequest;
use Bixo\Account\Http\Resources\DrcrnoteDetailResource;
use Bixo\Account\Models\DrcrnoteDetail;

/**
 * Admin web controller class.
 */
class DrcrnoteDetailActionController extends BaseController
{

    /**
     * Action controller function for drcrnote_detail.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DrcrnoteDetailActionRequest $request, DrcrnoteDetail $drcrnote_detail, $action)
    {
        try {
            $request = $request->all();
            $drcrnote_detail = DrcrnoteDetailAction::run($action, $drcrnote_detail, $request);

            $data = new DrcrnoteDetailResource($drcrnote_detail);
            return $this->response->message(trans("messages.success.{$action}", ['Module' => trans('account::drcrnote_detail.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/drcrnote_detail/' . $drcrnote_detail->getRouteKey()))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/drcrnote_detail/' . $drcrnote_detail->getRouteKey()))
                ->redirect();
        }
    }

    public function notify(){
        
    }
}
