<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Account\Http\Requests\DrcrnoteDetailActionsRequest;
use Bixo\Account\Actions\DrcrnoteDetailActions;

/**
 * Admin web controller class.
 */
class DrcrnoteDetailActionsController extends BaseController
{

    /**
     * Action controller function for drcrnote_detail.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(DrcrnoteDetailActionsRequest $request, $action)
    {
        try {
            $drcrnote_detail = DrcrnoteDetailActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('account::drcrnote_detail.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/drcrnote_detail/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/drcrnote_detail/' . $action))
                ->redirect();
        }
    }
}
