<?php

namespace Bixo\Account\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Bixo\Account\Http\Requests\PayrecActionsRequest;
use Bixo\Account\Actions\PayrecActions;

/**
 * Admin web controller class.
 */
class PayrecActionsController extends BaseController
{

    /**
     * Action controller function for payrec.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(PayrecActionsRequest $request, $action)
    {
        try {
            $payrec = PayrecActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('account::payrec.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('account/payrec/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('account/payrec/' . $action))
                ->redirect();
        }
    }
}
