<?php

namespace Bixo\Account\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class AllocationResource extends JsonResource
{

    public function itemLink()
    {
        return guard_url('account/allocation') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray($request)
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'slug' => $this->slug,
            'date' => $this->date,
            'type' => $this->type,
            'allocatable_id' => $this->allocatable_id,
            'allocatable_type' => $this->allocatable_type,
            'customer_id' => $this->customer_id,
            'customer_name' => $this->customer_name,
            'coa_id' => $this->coa_id,
            'coa_name' => $this->coa_name,
            'payment' => $this->payment,
            'receipt' => $this->receipt,
            'allo_tranTypeName' => $this->allo_tranTypeName,
            'allo_tranDocID' => $this->allo_tranDocID,
            'Journal' => $this->Journal,
            'doc_code' => $this->doc_code,
            'Journal' => $this->Journal,
            'doc_date' => $this->doc_date,
            'Journal' => $this->Journal,
            'doc_amount' => $this->doc_amount,
            'Journal' => $this->Journal,
            'allo_tranAlloOutstanding' => $this->allo_tranAlloOutstanding,
            'status' => $this->status,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
                'workflow' => $this->workflows(),
                'actions' => $this->actions(),
            ],
        ];
    }

    /**
     * Get additional data that should be returned with the resource array.
     *
     * @param     \Illuminate\Http\Request  $request
     * @return array
     */
    public function with($request)
    {
        return [
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
                'workflow' => $this->workflows(),
                'actions' => $this->actions(),
            ],
        ];
    }

    /**
     * Get the workflows for the resource.
     *
     * @return array
     */
    private function workflows()
    {
        $arr = [];
                return $arr;

    }
    
    /**
     * Get the actions for the resource.
     *
     * @return array
     */
    private function actions()
    {

        $arr = [];
        
        return $arr;
    }
}
