<?php
namespace Bixo\Account\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Bixo\Account\Events\CostcenterAction as CostcenterActionEvent;
use Bixo\Account\Models\Costcenter;

class CostcenterAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $costcenter;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param CostcenterActionEvent $costcenter
     */
    public function __construct(CostcenterActionEvent $costcenter)
    {
        $this->action = $event->action;
        $this->costcenter = $costcenter;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Costcenter Approved - ' . config('app.name'))
            ->view('account::costcenter.email.action', ['data' => $this->costcenter]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
