<?php
namespace Bixo\Account\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;
use Bixo\Account\Events\PayrecAction as PayrecActionEvent;
use Bixo\Account\Models\Payrec;

class PayrecAction extends Notification implements ShouldQueue
{
    use Queueable;

    protected $event;
    protected $payrec;
    protected $action;
    protected $request;

    /**
     * Create a new notification instance.
     *
     * @param PayrecActionEvent $payrec
     */
    public function __construct(PayrecActionEvent $payrec)
    {
        $this->action = $event->action;
        $this->payrec = $payrec;
        $this->request = $event->request;
        $this->event = $event;

    }

    /**
     * Get the mail representation of the notification.
     *
     * @param mixed $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Payrec Approved - ' . config('app.name'))
            ->view('account::payrec.email.action', ['data' => $this->payrec]);
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param object $notifiable
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }
}
