<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\AcknowledgementDetail;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait AcknowledgementDetailAction
{

    /**
     * Determine if the given user can copy the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {

        if ($authUser->canDo('account.acknowledgement_detail.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail) {

        if ($authUser->canDo('account.acknowledgement_detail.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {

        if ($authUser->canDo('account.acknowledgement_detail.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
