<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\AcknowledgementDetail;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait AcknowledgementDetailWorkflow
{

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given acknowledgement_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, AcknowledgementDetail $acknowledgement_detail)
    {
        if ($user->canDo('account.acknowledgement_detail.reject')) {
            return true;
        }

        return false;
    }

}
