<?php


namespace Bixo\Account\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait CoaReport
{

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function povote(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.coa.report.povote')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function report(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.coa.report')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function download(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('account.coa.report.download')) {
            return true;
        }

        return false;
    }
}
