<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\Coa;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait CoaWorkflow
{

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given coa.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Coa $coa)
    {
        if ($user->canDo('account.coa.reject')) {
            return true;
        }

        return false;
    }

}
