<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\Drcrnote;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DrcrnoteAction
{

    /**
     * Determine if the given user can copy the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Drcrnote $drcrnote)
    {

        if ($authUser->canDo('account.drcrnote.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Drcrnote $drcrnote) {

        if ($authUser->canDo('account.drcrnote.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Drcrnote $drcrnote)
    {

        if ($authUser->canDo('account.drcrnote.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
