<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\DrcrnoteDetail;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DrcrnoteDetailAction
{

    /**
     * Determine if the given user can copy the given drcrnote_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, DrcrnoteDetail $drcrnote_detail)
    {

        if ($authUser->canDo('account.drcrnote_detail.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given drcrnote_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, DrcrnoteDetail $drcrnote_detail) {

        if ($authUser->canDo('account.drcrnote_detail.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given drcrnote_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, DrcrnoteDetail $drcrnote_detail)
    {

        if ($authUser->canDo('account.drcrnote_detail.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
