<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\Drcrnote;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait DrcrnoteWorkflow
{

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function approve(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.approve')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function submit(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.submit')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function publish(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.publish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unpublish(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.unpublish')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function archive(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.archive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function unarchive(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.unarchive')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given drcrnote.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function reject(Authenticatable $user, Drcrnote $drcrnote)
    {
        if ($user->canDo('account.drcrnote.reject')) {
            return true;
        }

        return false;
    }

}
