<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\Journal;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait JournalAction
{

    /**
     * Determine if the given user can copy the given journal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Journal $journal)
    {

        if ($authUser->canDo('account.journal.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given journal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Journal $journal) {

        if ($authUser->canDo('account.journal.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given journal.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Journal $journal)
    {

        if ($authUser->canDo('account.journal.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
