<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\Payrec;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait PayrecAction
{

    /**
     * Determine if the given user can copy the given payrec.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, Payrec $payrec)
    {

        if ($authUser->canDo('account.payrec.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given payrec.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, Payrec $payrec) {

        if ($authUser->canDo('account.payrec.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given payrec.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, Payrec $payrec)
    {

        if ($authUser->canDo('account.payrec.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
