<?php

namespace Bixo\Account\Policies;

use Illuminate\Foundation\Auth\User as Authenticatable;
use Bixo\Account\Models\PayrecDetail;

class PayrecDetailPolicy
{


    /**
     * Determine if the given user can view the payrec_detail.
     *
     * @param Authenticatable $user
     * @param PayrecDetail $payrec_detail
     *
     * @return bool
     */
    public function view(Authenticatable $user, PayrecDetail $payrec_detail)
    {
        if ($authUser->canDo('account.payrec_detail.view') && $authUser->isAdmin() || $user->isClient()) {
            return true;
        }

        return $payrec_detail->is_owner;
    }

    /**
     * Determine if the given user can create a payrec_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function create(Authenticatable $user)
    {
        return  $authUser->canDo('account.payrec_detail.create');
    }

    /**
     * Determine if the given user can update the given payrec_detail.
     *
     * @param Authenticatable $user
     * @param PayrecDetail $payrec_detail
     *
     * @return bool
     */
    public function update(Authenticatable $user, PayrecDetail $payrec_detail)
    {
        if ($user->canDo('account.payrec_detail.edit') && $user->isAdmin()) {
            return true;
        }

        return $payrec_detail->is_owner;
    }

    /**
     * Determine if the given user can delete the given payrec_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function destroy(Authenticatable $user, PayrecDetail $payrec_detail)
    {
        return $payrec_detail->is_owner;
    }

    /**
     * Determine if the user can perform a given action ve.
     *
     * @param [type] $user    [description]
     * @param [type] $ability [description]
     *
     * @return [type] [description]
     */
    public function before($user, $ability)
    {
        if ($user->isSuperuser()) {
            return true;
        }
    }
}
