<?php

namespace Bixo\Account\Policies;

use Bixo\Account\Models\TransactionsDetail;
use Illuminate\Foundation\Auth\User as Authenticatable;

trait TransactionsDetailAction
{

    /**
     * Determine if the given user can copy the given transactions_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function copy(Authenticatable $user, TransactionsDetail $transactions_detail)
    {

        if ($authUser->canDo('account.transactions_detail.action.copy')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can empty the given transactions_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    function empty(Authenticatable $user, TransactionsDetail $transactions_detail) {

        if ($authUser->canDo('account.transactions_detail.action.empty')) {
            return true;
        }

        $this->model->is_owner;
    }

    /**
     * Determine if the given user can transfer the given transactions_detail.
     *
     * @param Authenticatable $user
     *
     * @return bool
     */
    public function transfer(Authenticatable $user, TransactionsDetail $transactions_detail)
    {

        if ($authUser->canDo('account.transactions_detail.action.transfer')) {
            return true;
        }

        $this->model->is_owner;
    }

}
