<?php

namespace Bixo\Account\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Account\Models\Invoice::class
                 => config('bixo.account.invoice.actions')        \Bixo\Account\Models\Coa::class
                 => config('bixo.account.coa.actions')        \Bixo\Account\Models\Payrec::class
                 => config('bixo.account.payrec.actions')        \Bixo\Account\Models\Product::class
                 => config('bixo.account.product.actions')        \Bixo\Account\Models\Costcenter::class
                 => config('bixo.account.costcenter.actions')        \Bixo\Account\Models\Account::class
                 => config('bixo.account.account.actions')        \Bixo\Account\Models\Drcrnote::class
                 => config('bixo.account.drcrnote.actions')        \Bixo\Account\Models\DrcrnoteDetail::class
                 => config('bixo.account.drcrnote_detail.actions')        \Bixo\Account\Models\Bank::class
                 => config('bixo.account.bank.actions')        \Bixo\Account\Models\Customer::class
                 => config('bixo.account.customer.actions')        \Bixo\Account\Models\AcknowledgementDetail::class
                 => config('bixo.account.acknowledgement_detail.actions')        \Bixo\Account\Models\Journal::class
                 => config('bixo.account.journal.actions')        \Bixo\Account\Models\TransactionsDetail::class
                 => config('bixo.account.transactions_detail.actions')
            ];
    }

}
