<?php

namespace Bixo\Account\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Invoice policy
        \Bixo\Account\Models\Invoice::class 
        => \Bixo\Account\Policies\InvoicePolicy::class,// Bind Coa policy
        \Bixo\Account\Models\Coa::class 
        => \Bixo\Account\Policies\CoaPolicy::class,// Bind Payrec policy
        \Bixo\Account\Models\Payrec::class 
        => \Bixo\Account\Policies\PayrecPolicy::class,// Bind PayrecDetail policy
        \Bixo\Account\Models\PayrecDetail::class 
        => \Bixo\Account\Policies\PayrecDetailPolicy::class,// Bind PayrecReceipts policy
        \Bixo\Account\Models\PayrecReceipts::class 
        => \Bixo\Account\Policies\PayrecReceiptsPolicy::class,// Bind InvoiceDetail policy
        \Bixo\Account\Models\InvoiceDetail::class 
        => \Bixo\Account\Policies\InvoiceDetailPolicy::class,// Bind Product policy
        \Bixo\Account\Models\Product::class 
        => \Bixo\Account\Policies\ProductPolicy::class,// Bind Costcenter policy
        \Bixo\Account\Models\Costcenter::class 
        => \Bixo\Account\Policies\CostcenterPolicy::class,// Bind Account policy
        \Bixo\Account\Models\Account::class 
        => \Bixo\Account\Policies\AccountPolicy::class,// Bind Drcrnote policy
        \Bixo\Account\Models\Drcrnote::class 
        => \Bixo\Account\Policies\DrcrnotePolicy::class,// Bind DrcrnoteDetail policy
        \Bixo\Account\Models\DrcrnoteDetail::class 
        => \Bixo\Account\Policies\DrcrnoteDetailPolicy::class,// Bind Bank policy
        \Bixo\Account\Models\Bank::class 
        => \Bixo\Account\Policies\BankPolicy::class,// Bind Customer policy
        \Bixo\Account\Models\Customer::class 
        => \Bixo\Account\Policies\CustomerPolicy::class,// Bind Acknowledgement policy
        \Bixo\Account\Models\Acknowledgement::class 
        => \Bixo\Account\Policies\AcknowledgementPolicy::class,// Bind AcknowledgementDetail policy
        \Bixo\Account\Models\AcknowledgementDetail::class 
        => \Bixo\Account\Policies\AcknowledgementDetailPolicy::class,// Bind Allocation policy
        \Bixo\Account\Models\Allocation::class 
        => \Bixo\Account\Policies\AllocationPolicy::class,// Bind Journal policy
        \Bixo\Account\Models\Journal::class 
        => \Bixo\Account\Policies\JournalPolicy::class,// Bind Detail policy
        \Bixo\Account\Models\Detail::class 
        => \Bixo\Account\Policies\DetailPolicy::class,// Bind Ledger policy
        \Bixo\Account\Models\Ledger::class 
        => \Bixo\Account\Policies\LedgerPolicy::class,// Bind Transaction policy
        \Bixo\Account\Models\Transaction::class 
        => \Bixo\Account\Policies\TransactionPolicy::class,// Bind TransactionsDetail policy
        \Bixo\Account\Models\TransactionsDetail::class 
        => \Bixo\Account\Policies\TransactionsDetailPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
