<?php

namespace Bixo\Account\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Account\Models\Invoice::class 
                => config('bixo.account.invoice.workflow')        \Bixo\Account\Models\Coa::class 
                => config('bixo.account.coa.workflow')        \Bixo\Account\Models\Payrec::class 
                => config('bixo.account.payrec.workflow')        \Bixo\Account\Models\Product::class 
                => config('bixo.account.product.workflow')        \Bixo\Account\Models\Costcenter::class 
                => config('bixo.account.costcenter.workflow')        \Bixo\Account\Models\Account::class 
                => config('bixo.account.account.workflow')        \Bixo\Account\Models\Drcrnote::class 
                => config('bixo.account.drcrnote.workflow')        \Bixo\Account\Models\DrcrnoteDetail::class 
                => config('bixo.account.drcrnote_detail.workflow')        \Bixo\Account\Models\Bank::class 
                => config('bixo.account.bank.workflow')        \Bixo\Account\Models\Customer::class 
                => config('bixo.account.customer.workflow')        \Bixo\Account\Models\AcknowledgementDetail::class 
                => config('bixo.account.acknowledgement_detail.workflow')        \Bixo\Account\Models\TransactionsDetail::class 
                => config('bixo.account.transactions_detail.workflow')
            ];
    }

}
